Last modified: 2014-08-03 02:23:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60222 - Set up a clone of wiki.toolserver.org
Set up a clone of wiki.toolserver.org
Status: NEW
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: High enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 60220 60415
  Show dependency treegraph
 
Reported: 2014-01-19 04:40 UTC by Tim Landscheidt
Modified: 2014-08-03 02:23 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Redacted current LocalSettings.php of wiki.toolserver.org. (11.29 KB, application/x-php)
2014-01-24 19:21 UTC, Tim Landscheidt
Details

Description Tim Landscheidt 2014-01-19 04:40:10 UTC
Looking at [[wikitech:Add a wiki]], I believe this will be a "Special Wiki" ("fishbowl"?):

1. The users will be distinct from Wikipedia, so no CentralAuth.
2. The wiki can be replicated to LabsDB.
3. No new users should be able to register themselves.
4. No IP editing should be allowed.
5. Toolserver wiki uses "/view/" instead of "/wiki/".  Depending on maintainability, this should either be enabled in the MediaWiki settings or we'll need redirects.

https://wiki.toolserver.org/view/Special:Version lists standard extensions with two exceptions:

1. Crowd Authentication Plugin: This will not be needed because we will take a snapshot of the user database and not plug into Atlassian.
2. HTMLets: A full-text search for "htmlets" does only find https://wiki.toolserver.org/view/HTMLets though, so apparently it isn't used on the wiki and can be ignored.

The current LocalSettings.php (minus any private information) should be attached to this bug so that we can look if there are any other non-standard settings, but nosy and amette don't seem to be registered on Bugzilla.
Comment 1 MZMcBride 2014-01-19 18:26:53 UTC
Broadly, I'm not sure this is the correct approach to take. We can use bug 60220 for that discussion, though.
Comment 2 Tim Landscheidt 2014-01-24 19:21:23 UTC
Created attachment 14373 [details]
Redacted current LocalSettings.php of wiki.toolserver.org.
Comment 3 Gerrit Notification Bot 2014-01-25 05:22:15 UTC
Change 109458 had a related patch set uploaded by Tim Landscheidt:
Set up wiki.toolserver.org

https://gerrit.wikimedia.org/r/109458
Comment 4 Gerrit Notification Bot 2014-01-25 05:59:50 UTC
Change 109460 had a related patch set uploaded by Tim Landscheidt:
Add virtual host for wiki.toolserver.org

https://gerrit.wikimedia.org/r/109460
Comment 5 Silke Meyer (WMDE) 2014-05-10 14:36:32 UTC
Isn't this a duplicate of 60220?
Comment 6 Tim Landscheidt 2014-05-10 16:08:47 UTC
(In reply to Silke Meyer (WMDE) from comment #5)
> Isn't this a duplicate of 60220?

No; bug #60220 is the "mother bug" for moving wiki.toolserver.org to WMF.  It depends on several bugs that define individual tasks.  This specific bug is about setting up the initial, empty wiki with the settings of wiki.toolserver.org so that after that pages can be imported, DNS entries changed, etc.
Comment 7 Silke Meyer (WMDE) 2014-06-10 12:09:09 UTC
What's the status here?
Comment 8 Gerrit Notification Bot 2014-07-03 19:45:55 UTC
Change 109458 abandoned by Reedy:
Set up wiki.toolserver.org

https://gerrit.wikimedia.org/r/109458
Comment 9 Andre Klapper 2014-07-03 21:31:00 UTC
(In reply to Silke Meyer (WMDE) from comment #7)
> What's the status here?

Discussion seems to be still going on on bug 60220
Comment 10 Gerrit Notification Bot 2014-08-03 02:23:32 UTC
Change 109460 abandoned by Tim Landscheidt:
Add virtual host for wiki.toolserver.org

https://gerrit.wikimedia.org/r/109460

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links